import React, { useState } from "react";
import SVG from "react-inlinesvg";
import { Link, NavLink } from "react-router-dom";

import { BurgerButton } from "@components/BurgerMenu/burgerButton";
import { BurgerMenu } from "@components/BurgerMenu/burgerMenu";

import authIcon from "assets/icons/authIcon.svg";

import "./authHeader.scss";

export const AuthHeader = () => {
  const [actionMenu, setActionMenu] = useState(false);
  return (
    <div className="auth-header">
      <BurgerMenu active={actionMenu} />
      <div className="auth-header__navigation">
        <div className="auth__logo">
          <div>
            <BurgerButton active={actionMenu} setActive={setActionMenu} />
          </div>
          <h3>IT GUILD</h3>
          <div>
            <Link to="/auth">
              <SVG src={authIcon} />
            </Link>
          </div>
        </div>
        <div className="auth-nav">
          <ul>
            <li>
              <NavLink to={"/auth"}>кейсы</NavLink>
            </li>
            <li>
              <NavLink to={"/stack"}>стек</NavLink>
            </li>
            <li>
              <NavLink to={"/tracker-intro"}>как это работает</NavLink>
            </li>
            <li>
              <NavLink to={"/auth-candidate"}>отзывы</NavLink>
            </li>
            <li>
              <NavLink to={"/profile"}>наши продукты</NavLink>
            </li>
          </ul>
        </div>
        <div className="auth__buttons">
          <button className="signIn">
            <Link to="/auth">войти</Link>
          </button>
          <button className="signUp">
            <Link to="/auth">регистрация</Link>
          </button>
        </div>
      </div>
    </div>
  );
};
